
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>python作用域和JavaScript作用域 / 憋错料</title>

    <meta name="description" content="python作用域和JavaScript作用域 JavaScript 一.JavaScript中无块级作用域 一个大括号一个作用域,就属于块级作用域,在Java和c#才存在块级作用域 function Main(){ if(1==1){ var name = 'seven'; } console.log(name); } // 输出: seven 二.JavaScript采用函数作用域 在JavaScript中每个函数作为一个作用域,在外部无法访问内部作用域中的变量 function Main(){ var innerValue = 'sev">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">python作用域和JavaScript作用域</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>JavaScript</h1>
<h2>　　一、JavaScript中无块级作用域</h2>
<ul>
<li>
<h3>一个大括号一个作用域，就属于块级作用域，在Java和c#才存在块级作用域</h3>
</li>
</ul>

<pre>function Main(){
    if(1==1){
        var name = ‘seven‘;
    }
    console.log(name);
}
// 输出： seven
</pre>

<h2>　　二、JavaScript采用函数作用域</h2>
<ul>
<li>
<h3>在JavaScript中每个函数作为一个作用域，在外部无法访问内部作用域中的变量</h3>
</li>
</ul>

<pre>function Main(){
    var innerValue = ‘seven‘;
}

Main();

console.log(innerValue);

// 报错：Uncaught ReferenceError: innerValue is not defined
</pre>

<h2>　　三、JavaScript的作用域链</h2>
<ul>
<li>
<h3>由于JavaScript中的每个函数作为一个作用域，如果出现函数嵌套函数，就会出现作用域链</h3>
</li>
</ul>

<pre>xo = ‘alex‘;

function Func(){
    var xo = "seven";
    function inner(){
        var xo = ‘alvin‘;
        console.log(xo);
    }
    inner();
}
Func();
</pre>

<ul>
<li>
<h3>如果出现作用域链后，那么寻找变量时会出现顺序，是根据作用域链从内到外的优先级寻找，逐步往上找，没找到就抛出异常</h3>
</li>
</ul>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzQyNTc2Mi8yMDE2MDcvNDI1NzYyLTIwMTYwNzA3MTE0NzQzNTc3LTM3MzU5MTgyLnBuZw==.jpg" /></p>
<h2>　　四、JavaScript的作用域链执行前已创建</h2>

<pre>xo = ‘alex‘;

function Func(){
    var xo = "seven";
    function inner(){

        console.log(xo);
    }
    return inner;
}

var ret = Func();
ret();
// 输出结果： seven
</pre>
<p>上述代码，在函数被调用之前作用域链已经存在：</p>
<p>上述代码，在函数被调用之前作用域链已经存在：</p>
<ul>
<li>全局作用域 -&gt; Func函数作用域 -&gt; inner函数作用域</li>
</ul>
<p>当执行【ret();】时，由于其代指的是inner函数，此函数的作用域链在执行之前已经被定义为：全局作用域 -&gt; Func函数作用域 -&gt; inner函数作用域，所以，在执行【ret();】时，会根据已经存在的作用域链去寻找变量。</p>
<pre>xo = ‘alex‘;

function Func(){
    var xo = "eirc";
    function inner(){

        console.log(xo);
    }
    xo = ‘seven‘;
    return inner;
}

var ret = Func();
ret();
// 输出结果： seven
</pre>
<p>上述代码和示例一的目的相同，也是强调在函数被调用之前作用域链已经存在：</p>
<ul>
<li>全局作用域 -&gt; Func函数作用域 -&gt; inner函数作用域</li>
</ul>
<p>不同的时，在执行【var ret = Func();】时，Func作用域中的xo变量的值已经由 &ldquo;eric&rdquo; 被重置为 &ldquo;seven&rdquo;，所以之后再执行【ret();】时，就只能找到&ldquo;seven&rdquo;。</p>
<pre>xo = ‘alex‘;&lt;br&gt;
function Bar(){
    console.log(xo);
}

function Func(){
    var xo = "seven";

    return Bar;
}

var ret = Func();
ret();
// 输出结果： alex
</pre>
<p>上述代码，在函数被执行之前已经创建了两条作用域链：</p>
<ul>
<li>全局作用域 -&gt; Bar函数作用域</li>
<li>全局作用域 -&gt; Func函数作用域</li>
</ul>
<p>当执行【ret();】时，ret代指的Bar函数，而Bar函数的作用域链已经存在：全局作用域 -&gt; Bar函数作用域，所以，执行时会根据已经存在的作用域链去寻找。</p>
<h2>　　五、声明提前</h2>
<ul>
<li>
<h3>在JavaScript中如果不创建变量，直接去使用，则报错</h3>
</li>
</ul>

<pre>console.log(xxoo);
// 报错：Uncaught ReferenceError: xxoo is not defined
</pre>

<ul>
<li>
<h3>JavaScript中如果创建变量而不赋值，则默认赋值为undefined</h3>
</li>
</ul>

<pre>var xxoo;
console.log(xxoo);
// 输出：undefined
</pre>
<p>而如果这么写</p>
<pre>function Foo(){
    console.log(xo);
    var xo = ‘seven‘;
}

Foo();
// 输出：undefined
</pre>
<p>上述代码，不报错而是输出undefined，其原因是：<strong>JavaScript的</strong><strong>函数在被执行之前，会将其中的变量全部声明，而不赋值</strong>，所以，相当于上述实例中，<strong>函数在&lsquo;预编译&rsquo;时，已经执行了var xo</strong>；所以上述代码中输出的是undefined</p>
<h1>python</h1>
<ul>
<li>
<h3>python能够改变变量作用域代码关键词：def、 class、 lambda</h3>
</li>
<li>
<h3>if语句，try异常捕获，for/while循环语句都不涉及变量作用域的更改，也就是他们的代码块中的变量，在外部也是可以访问的</h3>
</li>
</ul>

<pre>def main():
    if True:
        name = ‘seven‘
    print(name)

main()
#seven

def Main():
    inner = ‘seven‘

Main()
print(inner)
#NameError: name ‘inner‘ is not defined
</pre>

<ul>
<li>
<h3>python内部也是采用作用域链的形式，优先级是根据作用域从内到外找</h3>
</li>
</ul>

<pre>name = ‘alex‘

def func():
    name = ‘seven‘
    def inner():
        name = ‘eric‘
        print(name)
    inner()

func()#eric
</pre>
<pre>name = ‘alex‘

def func():
    name = ‘seven‘
    def inner():
        print(name)
    return inner

ret = func()
ret()
#seven
</pre>

<ul>
<li>
<h3>函数被调用之前作用域链已经创建好</h3>
</li>
</ul>

<pre>name = ‘alex‘

def bar():
    print(name)

def func():
    name = ‘seven‘
    return bar

ret = func()
ret()
#alex
</pre>
<p>当内部作用域想修改外部作用域的变量时</p>
<ul>
<li>
<h3>修改的变量是在全局作用域上的，就要使用global声明</h3>
</li>
<li>
<h3>修改的变量在嵌套作用域上，就要使用nonlocal声明</h3>
</li>
</ul>

<pre>#全局作用域
count = 10

def outer():
    global count
    print(count)
    count = 100
    print(count)

outer()
# 10
# 100

#嵌套作用域

def outer():
    count = 10
    def inner():
        nonlocal count
        count = 20
        print(count)
    inner()
    print(count)

outer()

# 20
# 20
</pre>

<ul>
<li>
<h3>变量查找顺序：作用域局部&gt;外层作用域&gt;当前模块中的全局作用域&gt;python内置作用域</h3>
</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:10:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>python作用域和JavaScript作用域的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzEjWk4.html" rel="bookmark">JavaScript作用域、上下文环境、函数对象的定义与调用、匿名函数的定义与调用、闭包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				提到闭包总给人很高深的感觉,网上的例子也数不胜数.但是我发现相当一部分并不容易理解.根据我的观察,是因为这些例子把标题中提到的概念糅杂在了一起,往往越看越糊涂.所以我希望化整为零,拆成简单例子来解释. 1.先看作用域: JavaScript作用域只有两种--全局作用域和函数内作用域,没有代码块作用域.示例: function loop(){ for(var i=0;i&lt;5;i++){ //doSomething; } alert(i); } loop(); //执行函数结果为5. 尽管变量i已经			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x58dQ3.html" rel="bookmark">Python自动化 【第十六篇】：JavaScript作用域和Dom收尾</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本节内容: javascript作用域 DOM收尾 JavaScript作用域 JavaScript的作用域一直以来是前端开发中比较难以理解的知识点,对于JavaScript的作用域主要记住几句话,走遍天下都不怕... 一.JavaScript中无块级作用域 在Java或C#中存在块级作用域,即:大括号也是一个作用域. 1 public static void main () 2 { 3 if(1==1){ 4 String name = &quot;seven&quot;; 5 } 6 System.o			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kpWBz3.html" rel="bookmark">javascript 作用域  闭包  对象 原理和示例分析（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				                                                                                             阅读.理解.思考.实践,再实践.再思考....  深圳小地瓜献上 javascript高级特性包含:作用域.闭包.对象 -----------------------------------------------作用域-----------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/N4pRBg0.html" rel="bookmark">【】五句话搞定JavaScript作用域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript的作用域一直以来是前端开发中比较难以理解的知识点,对于JavaScript的作用域主要记住几句话,走遍天下都不怕... 一.“JavaScript中无块级作用域” 在Java或C#中存在块级作用域,即:大括号也是一个作用域.  Java  C# 在JavaScript语言中无块级作用域 1 2 3 4 5 6 7 function Main(){     if(1==1){         var name = 'seven';     }     console.log(n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q3qvrP4.html" rel="bookmark">JavaScript作用域链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript作用域链 之前写过一篇JavaScript 闭包究竟是什么的文章理解闭包,觉得写得很清晰,可以简单理解闭包产生原因,但看评论都在说了解了作用域链和活动对象才能真正理解闭包,起初不以为然,后来在跟公司同事交流的时候发现作用域和执行环境确实很重要,又很基础,对理解JavaScript闭包很有帮助,所以在写一篇对作用域和执行环境的理解. 作用域 作用域就是变量和函数的可访问范围,控制着变量和函数的可见性与生命周期,在JavaScript中变量的作用域有全局作用域和局部作用域. 单纯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGEzvy3.html" rel="bookmark">深入理解javascript作用域系列第四篇&mdash;&mdash;块作用域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				× 目录 [1]let [2]const [3]try 前面的话 尽管函数作用域是最常见的作用域单元,也是现行大多数javascript最普遍的设计方法,但其他类型的作用域单元也是存在的,并且通过使用其他类型的作用域单元甚至可以实现维护起来更加优秀.简洁的代码,比如块作用域.随着ES6的推广,块作用域也将用得越来越广泛.本文是深入理解javascript作用域系列第四篇——块作用域 let for (var i= 0; i&lt;10; i++) { console.log(i); } 上面这段是很熟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35baE14.html" rel="bookmark">深入理解javascript作用域系列第一篇&mdash;&mdash;内部原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				× 目录 [1]编译 [2]执行 [3]查询[4]嵌套[5]异常[6]原理 前面的话 javascript拥有一套设计良好的规则来存储变量,并且之后可以方便地找到这些变量,这套规则被称为作用域.作用域貌似简单,实则复杂,由于作用域与this机制非常容易混淆,使得理解作用域的原理更为重要.本文是深入理解javascript作用域系列的第一篇——内部原理 内部原理分成编译.执行.查询.嵌套和异常五个部分进行介绍,最后以一个实例过程对原理进行完整说明 编译 以var a = 2;为例,说明javasc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBANbA4.html" rel="bookmark">JavaScript 开发进阶：理解 JavaScript 作用域和作用域链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作用域是JavaScript最重要的概念之一,想要学好JavaScript就需要理解JavaScript作用域和作用域链的工作原理.今天这篇文章对JavaScript作用域和作用域链作简单的介绍,希望能帮助大家更好的学习JavaScript. JavaScript作用域 任何程序设计语言都有作用域的概念,简单的说,作用域就是变量与函数的可访问范围,即作用域控制着变量与函数的可见性和生命周期.在JavaScript中,变量的作用域有全局作用域和局部作用域两种. 1.  全局作用域(Global S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r2rpq3.html" rel="bookmark">JavaScript作用域和作用域链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript 开发进阶:理解 JavaScript 作用域和作用域链 来源:梦想天空  http://www.cnblogs.com/lhb25/archive/2011/09/06/javascript-scope-chain.html 作用域是JavaScript最重要的概念之一,想要学好JavaScript就需要理解JavaScript作用域和作用域链的工作原理.今天这篇文章对JavaScript作用域和作用域链作简单的介绍,希望能帮助大家更好的学习JavaScript. Java			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/kMLDKkM.html" rel="bookmark" class="title">maven仓库--私服（Nexus的配置使用）</a>
					<div>
						1.1 私服仓库是什么 私服,私有服务器,是公司内部Maven项目经常需要的东东.Nexus是常用的私用Maven服务器,一般是公司内部使用.其作用指定私服的中央地址.将自己的Maven项目指定到私服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pKXJ3.html" rel="bookmark" class="title">Photoshop脚本 &amp;gt&semi; 查看图层边界信息</a>
					<div>
						源自:http://coolketang.com/tutorials/menu2lesson6.php 本节将演示如何使用脚本,查看当前图层的边界信息.首先创建一个空白的脚本文档,并保存在硬盘上某个位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0aVeQ3.html" rel="bookmark" class="title">Linux学习笔记5</a>
					<div>
						远程访问 什么是openssh是一个提供远程访问控制的软件 2.如何实现远程访问 ssh 远程主机用户@远程主机ip地址ssh [email protected]  (- x  可以打开图形)The  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NzyGM.html" rel="bookmark" class="title">Json用途</a>
					<div>
						JSON定义 JSON(JavaScript Object Notation) 是一种轻量级的数据交换格式,易于阅读和编写,同时也易于机器解析和生成.它基于ECMA262语言规范(1999-12第三版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/My5NxpM.html" rel="bookmark" class="title">JS中&equals;&equals;与&equals;&equals;&equals;区别</a>
					<div>
						==和===定义 ==和===虽然都是关系表达式运算符,但它们的定义是有所不同的: ==:称作相等运算符(Equality Operator),它用来检测两个操作是否相等,这里的相等的定义非常宽松,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWwlEkM.html" rel="bookmark" class="title">linux -小记&lpar;1&rpar;  问题：&amp;quot&semi;linux ifconfig查看网卡名称与配置文件不否&amp;quot&semi; 或 启动网卡提示&OpenCurlyDoubleQuote; eth0 似乎不存在&comma; 初始化操作将被延迟&rdquo;。</a>
					<div>
						&quot;linux ifconfig查看网卡名称与配置文件不否&quot; 或 启动网卡提示&quot; eth0 似乎不存在, 初始化操作将被延迟&quot; . 问题 1. service n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kyzzr4.html" rel="bookmark" class="title">Proofs without Words：Exercises in Visual Thinking&lpar;v&period;1 and v&period;2&rpar;</a>
					<div>
						下面是手画的和拍的一些图片,出自标题中的那两本书,在图书馆草草浏览了半个小时,就把一眼能看出来的摘到这里了,再复杂一些的感觉违背了无字证明的初衷了,就没有摘录: 勾股定理: 希波克拉底定理: 无限步三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388LNg3.html" rel="bookmark" class="title">随机序列问题</a>
					<div>
						题目: 假设有一个数组,里面有10个元素 int a[10]={0, 1, 2, 3, 4, 5, 6, 7, 8, 9}.请写一个算法,得到a数组的一个随机排列.要求时间复杂度尽量小,可以使用ran ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjmWE0.html" rel="bookmark" class="title">15个WPF项目例子&plus;WPF经典开发教程0</a>
					<div>
						摘要:有人推崇产品,有人推崇运营,也有人推崇战略-到底该推崇什么?李智勇系统地分析了这三者之间的思路,并引用黑格尔的一句话,给出了自己的看法:在尺度中已经蕴含本质,这在产品.运营.战略的侧重上体现的非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdaGYM.html" rel="bookmark" class="title">mybatis源码分析（3）-----SqlSessionHolder作用</a>
					<div>
						1. sqlSessionHolder 是位于mybatis-spring 包下面,他的作用是对于sqlSession和事务的控制 2 .在前面讲解到,sqlSessionTemplate 操作数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415ovX4.html" rel="bookmark" class="title">关于图片预加载1</a>
					<div>
						预加载图片是提高用户体验的一个很好方法.图片预先加载到浏览器中,访问者便可顺利地在你的网站上冲浪,并享受到极快的加载速度.这对图片画廊及图片占据很大比例的网站来说十分有利,它保证了图片快速.无缝地发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXLrV4.html" rel="bookmark" class="title">关于jdbc Oracle数据库连接的URL错误</a>
					<div>
						今天写了个java类连接oracle,抛出了这个问题 java.sql.SQLException: No suitable driver found for jdbc:oracle:thin:@127 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RDnby4.html" rel="bookmark" class="title">不使用库函数sqrt实现求一个数的平方根</a>
					<div>
						二分法: double mysqrt(double a) { if(a == 0 ) return 0; double precision = 1.0e-7, start = 0, end = a;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02kKwo3.html" rel="bookmark" class="title">java 中  包的用法</a>
					<div>
						//创建一个包 ,保存在com目录下的hnqy文件夹中. //import可找到上述包中的Demo12类.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPV6P4.html" rel="bookmark" class="title">找到导航控制器中当前所有的视图控制器</a>
					<div>
						//   栈:只有一口 ,先进后出 :push 入栈 : pop 出栈 : //    队列:有两个口 ,先进先出: //导航控制器: 容器 :实现视图控制器界面之间的跳转 : UINavigatio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbre13.html" rel="bookmark" class="title">我必须得告诉大家的MySQL优化原理2</a>
					<div>
						如果有同学看完上一篇关于MySQL文章,文末留有两个很开放的问题,如有兴趣可以在脑袋里想想.本文也会试着回答这两个问题,希望能给你一些参考.现在可以思考一个问题,如果数据量非常大的情况下,您根据业务选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02w9Op3.html" rel="bookmark" class="title">HDU 1869 六度分离（floyd）</a>
					<div>
						#include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;cmath&gt; #include&lt;algorithm&gt; #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzm7Z4.html" rel="bookmark" class="title">Junit4学习与使用</a>
					<div>
						学习使用JUnit4,既然使用最新版本了,就不要再考虑老版本是如何使用的了,之前有听过JUnit但一直没有使用,现在开始学习使用JUnit4! 介绍就不说了,简单的理解为&quot;就是一个方便大家测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47Xex9M.html" rel="bookmark" class="title">Windows下安装GCC</a>
					<div>
						2333今天才想起来要在windows上搭建一套gcc, gdb, make工作环境. 网上查了一下在Windows下比较流行的GCC移植版本主要有三个.他们是 MinGW,Cygwin和Djgpp. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bKZDo3.html" rel="bookmark" class="title">web项目中各种路径的获取&lpar;复制&comma;为以后好找资源&rpar;</a>
					<div>
						web项目中各种路径的获取 1.可以在servlet的init方法里 String path = getServletContext().getRealPath(&quot;/&quot;); 这将获 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
